DS_COPY_ARRAY_DESC_UNTIL(3)

FUNCTION
ds_copy_array_desc_until - Recursively copy an array descriptor.

SYNOPSIS
#include <karma_ds.h>

array_desc * ds_copy_array_desc_until

(CONST array_desc *inp_desc, CONST char *name)

DESCRIPTION
This routine will make a copy of an array descriptor and all sub-descriptors until a specified name is encountered. All tiling information is copied, but address offset arrays are NOT copied.

inp_desc
    The input array descriptor.

name
    The name specifying where the copying should stop. If this is NULL, the entire data structure descriptor is copied.

RETURN VALUE
A pointer to the array descriptor created on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/